# object.h File Reference

`#include "macros.h"`
`#include "matrix2d.h"`
`#include <glib.h>`
`#include <libxml/parser.h>`
`#include <map>`
`#include <set>`
`#include <list>`
`#include <string>`
`#include <stdexcept>`
`#include <gtk/gtk.h>`

Go to the source code of this file.

## Namespaces

namespace | gcu

## Classes

class | gcu::Object

## Typedefs

typedef unsigned | gcu::TypeId
typedef bool(* | gcu::BuildMenuCb )(Object *target, GtkUIManager *UIManager, Object *object, double x, double y)
typedef unsigned | gcu::SignalId

## Enumerations

enum | gcu::GcuTypeId
enum | gcu::RuleId

## Detailed Description

Definition in file object.h.